<?php
	include_once(__DIR__."/../../core.php");
	
	$idtipologiawizard = $html->form('idtipologiawizard');
	$module_name = 'Documenti Wizard';

	
	$rs = $dbo->fetchArray("select id as idtipodocumento , descrizione from co_tipidocumento");	
	$n2 = sizeof($rs);
	
	$rs_stati = $dbo->fetchArray("select id as idstatoiniziale , descrizione from co_statidocumento");	
	$n3 = sizeof($rs_stati);
	
	$rs_stati_d = $dbo->fetchArray("select id as idstatofinale , descrizione from co_statidocumento");	
	$n4 = sizeof($rs_stati_d);
	
	
	echo "<label></label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$idtipologiawizard."\" method=\"post\">\n";
	
	echo "	<input type='hidden' name='op' value='add_tipologia'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";

	
	//Seleziona tipologia documento
	echo "<div class='row'>\n";
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Tipo documento</label>\n";	
	if( ($n2) == 0 ){
		echo "				... Non ci sono tipologie documenti in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idtipodocumento\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idtipodocumento\" name=\"idtipodocumento\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"\">- Seleziona una tipologia -</option>\n";				
		echo "					<optgroup label=\"Tipologie documento (".$n2.")\">\n";		
		for( $i=0;$i<$n2;$i++ ){					
			echo "				<option value=\"".$rs[$i]['idtipodocumento']."\"  >".$rs[$i]['descrizione']." </option>\n";
		}		
		echo "				</optgroup>\n";
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	echo "</div>\n";	
	
	//Seleziona tipologia documento
	echo "<div class='row'>\n";
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Stato iniziale documento</label>\n";	
	if( ($n3) == 0 ){
		echo "				... Non ci sono stati  in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idstatoiniziale\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idstatoiniziale\" name=\"idstatoiniziale\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"\">- Seleziona uno stato -</option>\n";				
		echo "					<optgroup label=\"Stati Documento (".$n3.")\">\n";		
		for( $i=0;$i<$n3;$i++ ){					
			echo "				<option value=\"".$rs_stati[$i]['idstatoiniziale']."\"  >".$rs_stati[$i]['descrizione']." </option>\n";
		}		
		echo "				</optgroup>\n";
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Stato finale documento</label>\n";	
	if( ($n4) == 0 ){
		echo "				... Non ci sono stati  in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idstatofinale\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idstatofinale\" name=\"idstatofinale\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"\">- Seleziona uno stato -</option>\n";				
		echo "					<optgroup label=\"Stati Documento (".$n3.")\">\n";		
		for( $i=0;$i<$n4;$i++ ){					
			echo "				<option value=\"".$rs_stati_d[$i]['idstatofinale']."\"  >".$rs_stati_d[$i]['descrizione']." </option>\n";
		}		
		echo "				</optgroup>\n";
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	
	
	echo "</div>\n";	
	
	
	
	
	
	echo "	<a onclick=\"duplica();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-plus\"></i> Aggiungi</a>\n";
	echo "</form>\n";
?>

	<script type="text/javascript">
	
		function duplica(){
			$("#link_form").submit();				
		}
		
		$(document).ready( function(){
			start_superselect();
			start_inputmask();
		});
	</script>

	<div class="clearfix"></div>

